@echo off
rem **************************************************************************
rem Batch file to create a Windows Service for VolanoChat.
rem Run the batch file with no parameters for help.
rem
rem After installing and starting the service, see the file "output.log" for
rem startup informational messages and "error.log" for startup error messages.
rem See the Event Viewer Application Log for the JavaService program messages.
rem **************************************************************************
setlocal

rem **************************************************************************
rem Modify the JVM_DLL variable if you're not using Java version 1.3.1_13.
rem **************************************************************************
set JVM_DLL="C:\jdk1.3.1_13\jre\bin\server\jvm.dll"
set JVM_OPTIONS=-Xmx256m -Xss128k

if "%1" == "install" goto install
if "%1" == "remove" goto remove
goto usage

rem **************************************************************************
rem Install the service.
rem **************************************************************************
:install
set CP=.
for %%f in (lib\*.jar) do call cpappend.bat %%f
set OPTIONS=%JVM_OPTIONS% -Dinstall.root=. -Dcatalina.home=. -Djava.class.path=%CP%

if not exist %JVM_DLL% (
    echo Java virtual machine not found: %JVM_DLL%
) else (
    echo Java VM = %JVM_DLL%
    echo Options = %OPTIONS%
    echo Installing the VolanoChat service ...
    JavaService.exe -install VolanoChat %JVM_DLL% %OPTIONS% -start COM.volano.Main -out output.log -err error.log -current "%CD%"
)
goto end

rem **************************************************************************
rem Remove the service.
rem **************************************************************************
:remove
echo Removing the VolanoChat service ...
JavaService.exe -uninstall VolanoChat
goto end

rem **************************************************************************
rem Print usage information.
rem **************************************************************************
:usage
echo Usage: service [option]
echo where option is one of:
echo   install  to install the VolanoChat service
echo   remove   to remove the VolanoChat service
goto end

:end
endlocal
